### Enumeration

# Vips Interpretation

#### Declaration

    enum Vips.Interpretation

#### Description [src]

How the values in an image should be interpreted. For example, a three-band float image of type `VIPS_INTERPRETATION_LAB` should have its pixels interpreted as coordinates in CIE Lab space.

RGB and sRGB are treated in the same way. Use the colourspace functions if you want some other behaviour.

The gaps in numbering are historical and must be maintained. Allocate new numbers from the end.

#### Members

`VIPS_INTERPRETATION_ERROR`

  No description available.

  - Value: `-1`
  - Available since: 8.0
`VIPS_INTERPRETATION_MULTIBAND`

  Generic many-band image.

  - Value: `0`
  - Available since: 8.0
`VIPS_INTERPRETATION_B_W`

  Some kind of single-band image.

  - Value: `1`
  - Available since: 8.0
`VIPS_INTERPRETATION_HISTOGRAM`

  A 1D image, eg. histogram or lookup table.

  - Value: `10`
  - Available since: 8.0
`VIPS_INTERPRETATION_XYZ`

  The first three bands are CIE XYZ.

  - Value: `12`
  - Available since: 8.0
`VIPS_INTERPRETATION_LAB`

  Pixels are in CIE Lab space.

  - Value: `13`
  - Available since: 8.0
`VIPS_INTERPRETATION_CMYK`

  The first four bands are in CMYK space.

  - Value: `15`
  - Available since: 8.0
`VIPS_INTERPRETATION_LABQ`

  Implies `VIPS_CODING_LABQ`.

  - Value: `16`
  - Available since: 8.0
`VIPS_INTERPRETATION_RGB`

  Generic RGB space.

  - Value: `17`
  - Available since: 8.0
`VIPS_INTERPRETATION_CMC`

  A uniform colourspace based on CMC(1:1).

  - Value: `18`
  - Available since: 8.0
`VIPS_INTERPRETATION_LCH`

  Pixels are in CIE LCh space.

  - Value: `19`
  - Available since: 8.0
`VIPS_INTERPRETATION_LABS`

  CIE LAB coded as three signed 16-bit values.

  - Value: `21`
  - Available since: 8.0
`VIPS_INTERPRETATION_sRGB`

  Pixels are sRGB.

  - Value: `22`
  - Available since: 8.0
`VIPS_INTERPRETATION_YXY`

  Pixels are CIE Yxy.

  - Value: `23`
  - Available since: 8.0
`VIPS_INTERPRETATION_FOURIER`

  Image is in fourier space.

  - Value: `24`
  - Available since: 8.0
`VIPS_INTERPRETATION_RGB16`

  Generic 16-bit RGB.

  - Value: `25`
  - Available since: 8.0
`VIPS_INTERPRETATION_GREY16`

  Generic 16-bit mono.

  - Value: `26`
  - Available since: 8.0
`VIPS_INTERPRETATION_MATRIX`

  A matrix.

  - Value: `27`
  - Available since: 8.0
`VIPS_INTERPRETATION_scRGB`

  Pixels are scRGB.

  - Value: `28`
  - Available since: 8.0
`VIPS_INTERPRETATION_HSV`

  Pixels are HSV.

  - Value: `29`
  - Available since: 8.0
`VIPS_INTERPRETATION_OKLAB`

  Pixels are in Oklab colourspace.

  - Value: `30`
  - Available since: 8.0
`VIPS_INTERPRETATION_OKLCH`

  Pixels are in Oklch colourspace.

  - Value: `31`
  - Available since: 8.0

#### Type functions

###### vips_interpretation_bands

The number of “real” bands we expect for this interpretation. If we’ve no idea (eg. MULTIBAND), return 0.

###### vips_interpretation_max_alpha

No description available.